(define (problem transport-city-sequential-15nodes-1000size-3degree-100mindistance-2trucks-6packages-2008seed)
(:domain transport)
(:objects
          city-loc-1 - location
          city-loc-2 - location
          city-loc-3 - location
          city-loc-4 - location
          city-loc-5 - location
          city-loc-6 - location
          city-loc-7 - location
          city-loc-8 - location
          city-loc-9 - location
          city-loc-10 - location
          city-loc-11 - location
          city-loc-12 - location
          city-loc-13 - location
          city-loc-14 - location
          city-loc-15 - location
          truck-1 - vehicle
          truck-2 - vehicle
          package-1 - package
          package-2 - package
          package-3 - package
          package-4 - package
          package-5 - package
          package-6 - package
          capacity-0 - capacity-number
          capacity-1 - capacity-number
          capacity-2 - capacity-number
          capacity-3 - capacity-number
          capacity-4 - capacity-number
          )
(:INIT
          (= (total-cost ) 0)
          (capacity-predecessor capacity-0 capacity-1)
          (capacity-predecessor capacity-1 capacity-2)
          (capacity-predecessor capacity-2 capacity-3)
          (capacity-predecessor capacity-3 capacity-4)
          (road city-loc-4 city-loc-1)
          (= (road-length city-loc-4 city-loc-1) 17)
          (road city-loc-1 city-loc-4)
          (= (road-length city-loc-1 city-loc-4) 17)
          (road city-loc-4 city-loc-2)
          (= (road-length city-loc-4 city-loc-2) 23)
          (road city-loc-2 city-loc-4)
          (= (road-length city-loc-2 city-loc-4) 23)
          (road city-loc-5 city-loc-2)
          (= (road-length city-loc-5 city-loc-2) 16)
          (road city-loc-2 city-loc-5)
          (= (road-length city-loc-2 city-loc-5) 16)
          (road city-loc-5 city-loc-3)
          (= (road-length city-loc-5 city-loc-3) 24)
          (road city-loc-3 city-loc-5)
          (= (road-length city-loc-3 city-loc-5) 24)
          (road city-loc-6 city-loc-5)
          (= (road-length city-loc-6 city-loc-5) 29)
          (road city-loc-5 city-loc-6)
          (= (road-length city-loc-5 city-loc-6) 29)
          (road city-loc-7 city-loc-2)
          (= (road-length city-loc-7 city-loc-2) 28)
          (road city-loc-2 city-loc-7)
          (= (road-length city-loc-2 city-loc-7) 28)
          (road city-loc-7 city-loc-3)
          (= (road-length city-loc-7 city-loc-3) 20)
          (road city-loc-3 city-loc-7)
          (= (road-length city-loc-3 city-loc-7) 20)
          (road city-loc-7 city-loc-4)
          (= (road-length city-loc-7 city-loc-4) 29)
          (road city-loc-4 city-loc-7)
          (= (road-length city-loc-4 city-loc-7) 29)
          (road city-loc-7 city-loc-5)
          (= (road-length city-loc-7 city-loc-5) 21)
          (road city-loc-5 city-loc-7)
          (= (road-length city-loc-5 city-loc-7) 21)
          (road city-loc-9 city-loc-7)
          (= (road-length city-loc-9 city-loc-7) 24)
          (road city-loc-7 city-loc-9)
          (= (road-length city-loc-7 city-loc-9) 24)
          (road city-loc-9 city-loc-8)
          (= (road-length city-loc-9 city-loc-8) 25)
          (road city-loc-8 city-loc-9)
          (= (road-length city-loc-8 city-loc-9) 25)
          (road city-loc-10 city-loc-3)
          (= (road-length city-loc-10 city-loc-3) 18)
          (road city-loc-3 city-loc-10)
          (= (road-length city-loc-3 city-loc-10) 18)
          (road city-loc-11 city-loc-6)
          (= (road-length city-loc-11 city-loc-6) 16)
          (road city-loc-6 city-loc-11)
          (= (road-length city-loc-6 city-loc-11) 16)
          (road city-loc-12 city-loc-2)
          (= (road-length city-loc-12 city-loc-2) 15)
          (road city-loc-2 city-loc-12)
          (= (road-length city-loc-2 city-loc-12) 15)
          (road city-loc-12 city-loc-4)
          (= (road-length city-loc-12 city-loc-4) 14)
          (road city-loc-4 city-loc-12)
          (= (road-length city-loc-4 city-loc-12) 14)
          (road city-loc-12 city-loc-5)
          (= (road-length city-loc-12 city-loc-5) 20)
          (road city-loc-5 city-loc-12)
          (= (road-length city-loc-5 city-loc-12) 20)
          (road city-loc-12 city-loc-7)
          (= (road-length city-loc-12 city-loc-7) 18)
          (road city-loc-7 city-loc-12)
          (= (road-length city-loc-7 city-loc-12) 18)
          (road city-loc-13 city-loc-2)
          (= (road-length city-loc-13 city-loc-2) 22)
          (road city-loc-2 city-loc-13)
          (= (road-length city-loc-2 city-loc-13) 22)
          (road city-loc-13 city-loc-5)
          (= (road-length city-loc-13 city-loc-5) 18)
          (road city-loc-5 city-loc-13)
          (= (road-length city-loc-5 city-loc-13) 18)
          (road city-loc-13 city-loc-6)
          (= (road-length city-loc-13 city-loc-6) 17)
          (road city-loc-6 city-loc-13)
          (= (road-length city-loc-6 city-loc-13) 17)
          (road city-loc-14 city-loc-2)
          (= (road-length city-loc-14 city-loc-2) 29)
          (road city-loc-2 city-loc-14)
          (= (road-length city-loc-2 city-loc-14) 29)
          (road city-loc-14 city-loc-3)
          (= (road-length city-loc-14 city-loc-3) 22)
          (road city-loc-3 city-loc-14)
          (= (road-length city-loc-3 city-loc-14) 22)
          (road city-loc-14 city-loc-5)
          (= (road-length city-loc-14 city-loc-5) 14)
          (road city-loc-5 city-loc-14)
          (= (road-length city-loc-5 city-loc-14) 14)
          (road city-loc-14 city-loc-6)
          (= (road-length city-loc-14 city-loc-6) 21)
          (road city-loc-6 city-loc-14)
          (= (road-length city-loc-6 city-loc-14) 21)
          (road city-loc-14 city-loc-7)
          (= (road-length city-loc-14 city-loc-7) 29)
          (road city-loc-7 city-loc-14)
          (= (road-length city-loc-7 city-loc-14) 29)
          (road city-loc-14 city-loc-13)
          (= (road-length city-loc-14 city-loc-13) 19)
          (road city-loc-13 city-loc-14)
          (= (road-length city-loc-13 city-loc-14) 19)
          (road city-loc-15 city-loc-3)
          (= (road-length city-loc-15 city-loc-3) 25)
          (road city-loc-3 city-loc-15)
          (= (road-length city-loc-3 city-loc-15) 25)
          (road city-loc-15 city-loc-5)
          (= (road-length city-loc-15 city-loc-5) 28)
          (road city-loc-5 city-loc-15)
          (= (road-length city-loc-5 city-loc-15) 28)
          (road city-loc-15 city-loc-6)
          (= (road-length city-loc-15 city-loc-6) 23)
          (road city-loc-6 city-loc-15)
          (= (road-length city-loc-6 city-loc-15) 23)
          (road city-loc-15 city-loc-10)
          (= (road-length city-loc-15 city-loc-10) 24)
          (road city-loc-10 city-loc-15)
          (= (road-length city-loc-10 city-loc-15) 24)
          (road city-loc-15 city-loc-11)
          (= (road-length city-loc-15 city-loc-11) 30)
          (road city-loc-11 city-loc-15)
          (= (road-length city-loc-11 city-loc-15) 30)
          (road city-loc-15 city-loc-13)
          (= (road-length city-loc-15 city-loc-13) 30)
          (road city-loc-13 city-loc-15)
          (= (road-length city-loc-13 city-loc-15) 30)
          (road city-loc-15 city-loc-14)
          (= (road-length city-loc-15 city-loc-14) 15)
          (road city-loc-14 city-loc-15)
          (= (road-length city-loc-14 city-loc-15) 15)
          (at package-1 city-loc-10)
          (at package-2 city-loc-11)
          (at package-3 city-loc-5)
          (at package-4 city-loc-9)
          (at package-5 city-loc-6)
          (at package-6 city-loc-4)
          (at truck-1 city-loc-12)
          (capacity truck-1 capacity-3)
          (at truck-2 city-loc-5)
          (capacity truck-2 capacity-2)
          )
(:goal
          (and
               (at package-1 city-loc-13)
               (at package-2 city-loc-3)
               (at package-3 city-loc-2)
               (at package-4 city-loc-8)
               (at package-5 city-loc-4)
               (at package-6 city-loc-15)
          )
          )
(:metric minimize (total-cost))
)
