(define (problem wood-prob)
(:domain woodworking)
(:objects
          verysmooth - surface
          smooth - surface
          rough - surface
          varnished - treatmentstatus
          glazed - treatmentstatus
          untreated - treatmentstatus
          colourfragments - treatmentstatus
          natural - acolour
          small - apartsize
          medium - apartsize
          large - apartsize
          grinder0 - grinder
          glazer0 - glazer
          immersion-varnisher0 - immersion-varnisher
          planer0 - planer
          highspeed-saw0 - highspeed-saw
          spray-varnisher0 - spray-varnisher
          saw0 - saw
          blue - acolour
          red - acolour
          white - acolour
          green - acolour
          black - acolour
          mahogany - awood
          teak - awood
          p0 - part
          p1 - part
          p2 - part
          p3 - part
          p4 - part
          p5 - part
          p6 - part
          b0 - board
          b1 - board
          b2 - board
          s0 - aboardsize
          s1 - aboardsize
          s2 - aboardsize
          s3 - aboardsize
          s4 - aboardsize
          s5 - aboardsize
          s6 - aboardsize
          s7 - aboardsize
          s8 - aboardsize
          )
(:INIT
          (grind-treatment-change varnished colourfragments)
          (grind-treatment-change glazed untreated)
          (grind-treatment-change untreated untreated)
          (grind-treatment-change colourfragments untreated)
          (is-smooth smooth)
          (is-smooth verysmooth)
          (= (total-cost ) 0)
          (boardsize-successor s0 s1)
          (boardsize-successor s1 s2)
          (boardsize-successor s2 s3)
          (boardsize-successor s3 s4)
          (boardsize-successor s4 s5)
          (boardsize-successor s5 s6)
          (boardsize-successor s6 s7)
          (boardsize-successor s7 s8)
          (has-colour glazer0 blue)
          (has-colour glazer0 green)
          (has-colour glazer0 natural)
          (has-colour glazer0 black)
          (has-colour immersion-varnisher0 black)
          (has-colour immersion-varnisher0 red)
          (empty highspeed-saw0)
          (has-colour spray-varnisher0 black)
          (has-colour spray-varnisher0 red)
          (unused p0)
          (goalsize p0 large)
          (= (spray-varnish-cost p0) 15)
          (= (glaze-cost p0) 20)
          (= (grind-cost p0) 45)
          (= (plane-cost p0) 30)
          (unused p1)
          (goalsize p1 large)
          (= (spray-varnish-cost p1) 15)
          (= (glaze-cost p1) 20)
          (= (grind-cost p1) 45)
          (= (plane-cost p1) 30)
          (unused p2)
          (goalsize p2 small)
          (= (spray-varnish-cost p2) 5)
          (= (glaze-cost p2) 10)
          (= (grind-cost p2) 15)
          (= (plane-cost p2) 10)
          (unused p3)
          (goalsize p3 small)
          (= (spray-varnish-cost p3) 5)
          (= (glaze-cost p3) 10)
          (= (grind-cost p3) 15)
          (= (plane-cost p3) 10)
          (unused p4)
          (goalsize p4 small)
          (= (spray-varnish-cost p4) 5)
          (= (glaze-cost p4) 10)
          (= (grind-cost p4) 15)
          (= (plane-cost p4) 10)
          (available p5)
          (colour p5 white)
          (wood p5 teak)
          (surface-condition p5 rough)
          (treatment p5 varnished)
          (goalsize p5 large)
          (= (spray-varnish-cost p5) 15)
          (= (glaze-cost p5) 20)
          (= (grind-cost p5) 45)
          (= (plane-cost p5) 30)
          (unused p6)
          (goalsize p6 medium)
          (= (spray-varnish-cost p6) 10)
          (= (glaze-cost p6) 15)
          (= (grind-cost p6) 30)
          (= (plane-cost p6) 20)
          (boardsize b0 s3)
          (wood b0 teak)
          (surface-condition b0 rough)
          (available b0)
          (boardsize b1 s8)
          (wood b1 mahogany)
          (surface-condition b1 rough)
          (available b1)
          (boardsize b2 s5)
          (wood b2 mahogany)
          (surface-condition b2 smooth)
          (available b2)
          (is_constant_verysmooth verysmooth)
          (is_constant_smooth smooth)
          (is_constant_rough rough)
          (is_constant_varnished varnished)
          (is_constant_glazed glazed)
          (is_constant_untreated untreated)
          (is_constant_colourfragments colourfragments)
          (is_constant_natural natural)
          (is_constant_small small)
          (is_constant_medium medium)
          (is_constant_large large)
          )
(:goal
          (and
               (available p0)
               (wood p0 mahogany)
               (treatment p0 glazed)
               (available p1)
               (surface-condition p1 smooth)
               (treatment p1 varnished)
               (available p2)
               (colour p2 green)
               (wood p2 teak)
               (treatment p2 glazed)
               (available p3)
               (colour p3 blue)
               (wood p3 mahogany)
               (surface-condition p3 verysmooth)
               (treatment p3 glazed)
               (available p4)
               (colour p4 red)
               (wood p4 teak)
               (surface-condition p4 smooth)
               (treatment p4 varnished)
               (available p5)
               (colour p5 natural)
               (treatment p5 glazed)
               (available p6)
               (colour p6 black)
               (wood p6 mahogany)
          )
          )
(:metric minimize (total-cost))
)
