(define (problem wood-prob)
(:domain woodworking)
(:objects
          verysmooth - surface
          smooth - surface
          rough - surface
          varnished - treatmentstatus
          glazed - treatmentstatus
          untreated - treatmentstatus
          colourfragments - treatmentstatus
          natural - acolour
          small - apartsize
          medium - apartsize
          large - apartsize
          grinder0 - grinder
          glazer0 - glazer
          immersion-varnisher0 - immersion-varnisher
          planer0 - planer
          highspeed-saw0 - highspeed-saw
          spray-varnisher0 - spray-varnisher
          saw0 - saw
          black - acolour
          blue - acolour
          mauve - acolour
          red - acolour
          white - acolour
          green - acolour
          pine - awood
          oak - awood
          p0 - part
          p1 - part
          p2 - part
          p3 - part
          p4 - part
          p5 - part
          p6 - part
          p7 - part
          p8 - part
          b0 - board
          b1 - board
          b2 - board
          s0 - aboardsize
          s1 - aboardsize
          s2 - aboardsize
          s3 - aboardsize
          s4 - aboardsize
          )
(:INIT
          (grind-treatment-change varnished colourfragments)
          (grind-treatment-change glazed untreated)
          (grind-treatment-change untreated untreated)
          (grind-treatment-change colourfragments untreated)
          (is-smooth smooth)
          (is-smooth verysmooth)
          (= (total-cost ) 0)
          (boardsize-successor s0 s1)
          (boardsize-successor s1 s2)
          (boardsize-successor s2 s3)
          (boardsize-successor s3 s4)
          (has-colour glazer0 green)
          (has-colour glazer0 white)
          (has-colour glazer0 natural)
          (has-colour glazer0 red)
          (has-colour immersion-varnisher0 green)
          (has-colour immersion-varnisher0 red)
          (empty highspeed-saw0)
          (has-colour spray-varnisher0 green)
          (has-colour spray-varnisher0 red)
          (unused p0)
          (goalsize p0 small)
          (= (spray-varnish-cost p0) 5)
          (= (glaze-cost p0) 10)
          (= (grind-cost p0) 15)
          (= (plane-cost p0) 10)
          (unused p1)
          (goalsize p1 medium)
          (= (spray-varnish-cost p1) 10)
          (= (glaze-cost p1) 15)
          (= (grind-cost p1) 30)
          (= (plane-cost p1) 20)
          (unused p2)
          (goalsize p2 medium)
          (= (spray-varnish-cost p2) 10)
          (= (glaze-cost p2) 15)
          (= (grind-cost p2) 30)
          (= (plane-cost p2) 20)
          (unused p3)
          (goalsize p3 medium)
          (= (spray-varnish-cost p3) 10)
          (= (glaze-cost p3) 15)
          (= (grind-cost p3) 30)
          (= (plane-cost p3) 20)
          (unused p4)
          (goalsize p4 small)
          (= (spray-varnish-cost p4) 5)
          (= (glaze-cost p4) 10)
          (= (grind-cost p4) 15)
          (= (plane-cost p4) 10)
          (available p5)
          (colour p5 black)
          (wood p5 pine)
          (surface-condition p5 smooth)
          (treatment p5 colourfragments)
          (goalsize p5 large)
          (= (spray-varnish-cost p5) 15)
          (= (glaze-cost p5) 20)
          (= (grind-cost p5) 45)
          (= (plane-cost p5) 30)
          (unused p6)
          (goalsize p6 small)
          (= (spray-varnish-cost p6) 5)
          (= (glaze-cost p6) 10)
          (= (grind-cost p6) 15)
          (= (plane-cost p6) 10)
          (unused p7)
          (goalsize p7 medium)
          (= (spray-varnish-cost p7) 10)
          (= (glaze-cost p7) 15)
          (= (grind-cost p7) 30)
          (= (plane-cost p7) 20)
          (unused p8)
          (goalsize p8 small)
          (= (spray-varnish-cost p8) 5)
          (= (glaze-cost p8) 10)
          (= (grind-cost p8) 15)
          (= (plane-cost p8) 10)
          (boardsize b0 s4)
          (wood b0 oak)
          (surface-condition b0 smooth)
          (available b0)
          (boardsize b1 s4)
          (wood b1 pine)
          (surface-condition b1 rough)
          (available b1)
          (boardsize b2 s4)
          (wood b2 pine)
          (surface-condition b2 rough)
          (available b2)
          (is_constant_verysmooth verysmooth)
          (is_constant_smooth smooth)
          (is_constant_rough rough)
          (is_constant_varnished varnished)
          (is_constant_glazed glazed)
          (is_constant_untreated untreated)
          (is_constant_colourfragments colourfragments)
          (is_constant_natural natural)
          (is_constant_small small)
          (is_constant_medium medium)
          (is_constant_large large)
          )
(:goal
          (and
               (available p0)
               (colour p0 green)
               (wood p0 oak)
               (treatment p0 glazed)
               (available p1)
               (wood p1 pine)
               (surface-condition p1 smooth)
               (available p2)
               (wood p2 pine)
               (treatment p2 glazed)
               (available p3)
               (colour p3 red)
               (wood p3 oak)
               (treatment p3 varnished)
               (available p4)
               (colour p4 natural)
               (wood p4 oak)
               (surface-condition p4 smooth)
               (treatment p4 glazed)
               (available p5)
               (colour p5 green)
               (wood p5 pine)
               (available p6)
               (colour p6 red)
               (wood p6 pine)
               (surface-condition p6 smooth)
               (available p7)
               (colour p7 white)
               (wood p7 pine)
               (surface-condition p7 verysmooth)
               (treatment p7 glazed)
               (available p8)
               (wood p8 pine)
               (surface-condition p8 smooth)
               (treatment p8 varnished)
          )
          )
(:metric minimize (total-cost))
)
