(define (problem wood-prob)
(:domain woodworking)
(:objects
          verysmooth - surface
          smooth - surface
          rough - surface
          varnished - treatmentstatus
          glazed - treatmentstatus
          untreated - treatmentstatus
          colourfragments - treatmentstatus
          natural - acolour
          small - apartsize
          medium - apartsize
          large - apartsize
          grinder0 - grinder
          glazer0 - glazer
          immersion-varnisher0 - immersion-varnisher
          planer0 - planer
          highspeed-saw0 - highspeed-saw
          spray-varnisher0 - spray-varnisher
          saw0 - saw
          red - acolour
          white - acolour
          mauve - acolour
          black - acolour
          blue - acolour
          green - acolour
          pine - awood
          oak - awood
          mahogany - awood
          p0 - part
          p1 - part
          p2 - part
          p3 - part
          p4 - part
          p5 - part
          p6 - part
          p7 - part
          p8 - part
          p9 - part
          p10 - part
          p11 - part
          b0 - board
          b1 - board
          b2 - board
          b3 - board
          b4 - board
          s0 - aboardsize
          s1 - aboardsize
          s2 - aboardsize
          s3 - aboardsize
          s4 - aboardsize
          s5 - aboardsize
          s6 - aboardsize
          )
(:INIT
          (grind-treatment-change varnished colourfragments)
          (grind-treatment-change glazed untreated)
          (grind-treatment-change untreated untreated)
          (grind-treatment-change colourfragments untreated)
          (is-smooth smooth)
          (is-smooth verysmooth)
          (= (total-cost ) 0)
          (boardsize-successor s0 s1)
          (boardsize-successor s1 s2)
          (boardsize-successor s2 s3)
          (boardsize-successor s3 s4)
          (boardsize-successor s4 s5)
          (boardsize-successor s5 s6)
          (has-colour glazer0 mauve)
          (has-colour glazer0 natural)
          (has-colour glazer0 red)
          (has-colour immersion-varnisher0 blue)
          (has-colour immersion-varnisher0 mauve)
          (has-colour immersion-varnisher0 green)
          (has-colour immersion-varnisher0 natural)
          (has-colour immersion-varnisher0 red)
          (empty highspeed-saw0)
          (has-colour spray-varnisher0 blue)
          (has-colour spray-varnisher0 mauve)
          (has-colour spray-varnisher0 green)
          (has-colour spray-varnisher0 natural)
          (has-colour spray-varnisher0 red)
          (unused p0)
          (goalsize p0 large)
          (= (spray-varnish-cost p0) 15)
          (= (glaze-cost p0) 20)
          (= (grind-cost p0) 45)
          (= (plane-cost p0) 30)
          (unused p1)
          (goalsize p1 large)
          (= (spray-varnish-cost p1) 15)
          (= (glaze-cost p1) 20)
          (= (grind-cost p1) 45)
          (= (plane-cost p1) 30)
          (unused p2)
          (goalsize p2 small)
          (= (spray-varnish-cost p2) 5)
          (= (glaze-cost p2) 10)
          (= (grind-cost p2) 15)
          (= (plane-cost p2) 10)
          (unused p3)
          (goalsize p3 large)
          (= (spray-varnish-cost p3) 15)
          (= (glaze-cost p3) 20)
          (= (grind-cost p3) 45)
          (= (plane-cost p3) 30)
          (available p4)
          (colour p4 natural)
          (wood p4 pine)
          (surface-condition p4 rough)
          (treatment p4 varnished)
          (goalsize p4 large)
          (= (spray-varnish-cost p4) 15)
          (= (glaze-cost p4) 20)
          (= (grind-cost p4) 45)
          (= (plane-cost p4) 30)
          (unused p5)
          (goalsize p5 large)
          (= (spray-varnish-cost p5) 15)
          (= (glaze-cost p5) 20)
          (= (grind-cost p5) 45)
          (= (plane-cost p5) 30)
          (unused p6)
          (goalsize p6 small)
          (= (spray-varnish-cost p6) 5)
          (= (glaze-cost p6) 10)
          (= (grind-cost p6) 15)
          (= (plane-cost p6) 10)
          (unused p7)
          (goalsize p7 large)
          (= (spray-varnish-cost p7) 15)
          (= (glaze-cost p7) 20)
          (= (grind-cost p7) 45)
          (= (plane-cost p7) 30)
          (unused p8)
          (goalsize p8 small)
          (= (spray-varnish-cost p8) 5)
          (= (glaze-cost p8) 10)
          (= (grind-cost p8) 15)
          (= (plane-cost p8) 10)
          (unused p9)
          (goalsize p9 small)
          (= (spray-varnish-cost p9) 5)
          (= (glaze-cost p9) 10)
          (= (grind-cost p9) 15)
          (= (plane-cost p9) 10)
          (unused p10)
          (goalsize p10 small)
          (= (spray-varnish-cost p10) 5)
          (= (glaze-cost p10) 10)
          (= (grind-cost p10) 15)
          (= (plane-cost p10) 10)
          (available p11)
          (colour p11 mauve)
          (wood p11 oak)
          (surface-condition p11 verysmooth)
          (treatment p11 colourfragments)
          (goalsize p11 medium)
          (= (spray-varnish-cost p11) 10)
          (= (glaze-cost p11) 15)
          (= (grind-cost p11) 30)
          (= (plane-cost p11) 20)
          (boardsize b0 s6)
          (wood b0 mahogany)
          (surface-condition b0 rough)
          (available b0)
          (boardsize b1 s3)
          (wood b1 mahogany)
          (surface-condition b1 rough)
          (available b1)
          (boardsize b2 s5)
          (wood b2 oak)
          (surface-condition b2 rough)
          (available b2)
          (boardsize b3 s3)
          (wood b3 oak)
          (surface-condition b3 rough)
          (available b3)
          (boardsize b4 s3)
          (wood b4 pine)
          (surface-condition b4 rough)
          (available b4)
          (is_constant_verysmooth verysmooth)
          (is_constant_smooth smooth)
          (is_constant_rough rough)
          (is_constant_varnished varnished)
          (is_constant_glazed glazed)
          (is_constant_untreated untreated)
          (is_constant_colourfragments colourfragments)
          (is_constant_natural natural)
          (is_constant_small small)
          (is_constant_medium medium)
          (is_constant_large large)
          )
(:goal
          (and
               (available p0)
               (colour p0 red)
               (wood p0 pine)
               (treatment p0 glazed)
               (available p1)
               (wood p1 mahogany)
               (surface-condition p1 smooth)
               (available p2)
               (colour p2 blue)
               (wood p2 mahogany)
               (surface-condition p2 verysmooth)
               (treatment p2 varnished)
               (available p3)
               (surface-condition p3 verysmooth)
               (treatment p3 glazed)
               (available p4)
               (surface-condition p4 smooth)
               (treatment p4 glazed)
               (available p5)
               (colour p5 mauve)
               (surface-condition p5 verysmooth)
               (available p6)
               (wood p6 oak)
               (surface-condition p6 smooth)
               (treatment p6 varnished)
               (available p7)
               (wood p7 mahogany)
               (surface-condition p7 smooth)
               (treatment p7 varnished)
               (available p8)
               (colour p8 green)
               (surface-condition p8 verysmooth)
               (treatment p8 varnished)
               (available p9)
               (colour p9 natural)
               (surface-condition p9 verysmooth)
               (available p10)
               (colour p10 mauve)
               (surface-condition p10 verysmooth)
               (treatment p10 varnished)
               (available p11)
               (colour p11 red)
               (treatment p11 varnished)
          )
          )
(:metric minimize (total-cost))
)
