(define (problem transport-three-cities-sequential-5nodes-1000size-3degree-100mindistance-2trucks-6packages-2008seed)
(:domain transport)
(:objects
          city-1-loc-1 - location
          city-2-loc-1 - location
          city-3-loc-1 - location
          city-1-loc-2 - location
          city-2-loc-2 - location
          city-3-loc-2 - location
          city-1-loc-3 - location
          city-2-loc-3 - location
          city-3-loc-3 - location
          city-1-loc-4 - location
          city-2-loc-4 - location
          city-3-loc-4 - location
          city-1-loc-5 - location
          city-2-loc-5 - location
          city-3-loc-5 - location
          truck-1 - vehicle
          truck-2 - vehicle
          package-1 - package
          package-2 - package
          package-3 - package
          package-4 - package
          package-5 - package
          package-6 - package
          capacity-0 - capacity-number
          capacity-1 - capacity-number
          capacity-2 - capacity-number
          capacity-3 - capacity-number
          capacity-4 - capacity-number
          )
(:INIT
          (= (total-cost ) 0)
          (capacity-predecessor capacity-0 capacity-1)
          (capacity-predecessor capacity-1 capacity-2)
          (capacity-predecessor capacity-2 capacity-3)
          (capacity-predecessor capacity-3 capacity-4)
          (road city-1-loc-3 city-1-loc-1)
          (= (road-length city-1-loc-3 city-1-loc-1) 22)
          (road city-1-loc-1 city-1-loc-3)
          (= (road-length city-1-loc-1 city-1-loc-3) 22)
          (road city-1-loc-3 city-1-loc-2)
          (= (road-length city-1-loc-3 city-1-loc-2) 50)
          (road city-1-loc-2 city-1-loc-3)
          (= (road-length city-1-loc-2 city-1-loc-3) 50)
          (road city-1-loc-4 city-1-loc-1)
          (= (road-length city-1-loc-4 city-1-loc-1) 26)
          (road city-1-loc-1 city-1-loc-4)
          (= (road-length city-1-loc-1 city-1-loc-4) 26)
          (road city-1-loc-4 city-1-loc-3)
          (= (road-length city-1-loc-4 city-1-loc-3) 45)
          (road city-1-loc-3 city-1-loc-4)
          (= (road-length city-1-loc-3 city-1-loc-4) 45)
          (road city-1-loc-5 city-1-loc-1)
          (= (road-length city-1-loc-5 city-1-loc-1) 37)
          (road city-1-loc-1 city-1-loc-5)
          (= (road-length city-1-loc-1 city-1-loc-5) 37)
          (road city-1-loc-5 city-1-loc-4)
          (= (road-length city-1-loc-5 city-1-loc-4) 12)
          (road city-1-loc-4 city-1-loc-5)
          (= (road-length city-1-loc-4 city-1-loc-5) 12)
          (road city-2-loc-2 city-2-loc-1)
          (= (road-length city-2-loc-2 city-2-loc-1) 43)
          (road city-2-loc-1 city-2-loc-2)
          (= (road-length city-2-loc-1 city-2-loc-2) 43)
          (road city-2-loc-3 city-2-loc-2)
          (= (road-length city-2-loc-3 city-2-loc-2) 30)
          (road city-2-loc-2 city-2-loc-3)
          (= (road-length city-2-loc-2 city-2-loc-3) 30)
          (road city-2-loc-4 city-2-loc-1)
          (= (road-length city-2-loc-4 city-2-loc-1) 28)
          (road city-2-loc-1 city-2-loc-4)
          (= (road-length city-2-loc-1 city-2-loc-4) 28)
          (road city-2-loc-4 city-2-loc-2)
          (= (road-length city-2-loc-4 city-2-loc-2) 49)
          (road city-2-loc-2 city-2-loc-4)
          (= (road-length city-2-loc-2 city-2-loc-4) 49)
          (road city-2-loc-4 city-2-loc-3)
          (= (road-length city-2-loc-4 city-2-loc-3) 47)
          (road city-2-loc-3 city-2-loc-4)
          (= (road-length city-2-loc-3 city-2-loc-4) 47)
          (road city-2-loc-5 city-2-loc-1)
          (= (road-length city-2-loc-5 city-2-loc-1) 35)
          (road city-2-loc-1 city-2-loc-5)
          (= (road-length city-2-loc-1 city-2-loc-5) 35)
          (road city-2-loc-5 city-2-loc-2)
          (= (road-length city-2-loc-5 city-2-loc-2) 18)
          (road city-2-loc-2 city-2-loc-5)
          (= (road-length city-2-loc-2 city-2-loc-5) 18)
          (road city-2-loc-5 city-2-loc-3)
          (= (road-length city-2-loc-5 city-2-loc-3) 24)
          (road city-2-loc-3 city-2-loc-5)
          (= (road-length city-2-loc-3 city-2-loc-5) 24)
          (road city-2-loc-5 city-2-loc-4)
          (= (road-length city-2-loc-5 city-2-loc-4) 32)
          (road city-2-loc-4 city-2-loc-5)
          (= (road-length city-2-loc-4 city-2-loc-5) 32)
          (road city-3-loc-2 city-3-loc-1)
          (= (road-length city-3-loc-2 city-3-loc-1) 45)
          (road city-3-loc-1 city-3-loc-2)
          (= (road-length city-3-loc-1 city-3-loc-2) 45)
          (road city-3-loc-3 city-3-loc-1)
          (= (road-length city-3-loc-3 city-3-loc-1) 45)
          (road city-3-loc-1 city-3-loc-3)
          (= (road-length city-3-loc-1 city-3-loc-3) 45)
          (road city-3-loc-4 city-3-loc-1)
          (= (road-length city-3-loc-4 city-3-loc-1) 48)
          (road city-3-loc-1 city-3-loc-4)
          (= (road-length city-3-loc-1 city-3-loc-4) 48)
          (road city-3-loc-5 city-3-loc-2)
          (= (road-length city-3-loc-5 city-3-loc-2) 13)
          (road city-3-loc-2 city-3-loc-5)
          (= (road-length city-3-loc-2 city-3-loc-5) 13)
          (road city-1-loc-5 city-2-loc-4)
          (= (road-length city-1-loc-5 city-2-loc-4) 138)
          (road city-2-loc-4 city-1-loc-5)
          (= (road-length city-2-loc-4 city-1-loc-5) 138)
          (road city-1-loc-5 city-3-loc-4)
          (= (road-length city-1-loc-5 city-3-loc-4) 138)
          (road city-3-loc-4 city-1-loc-5)
          (= (road-length city-3-loc-4 city-1-loc-5) 138)
          (road city-2-loc-1 city-3-loc-1)
          (= (road-length city-2-loc-1 city-3-loc-1) 160)
          (road city-3-loc-1 city-2-loc-1)
          (= (road-length city-3-loc-1 city-2-loc-1) 160)
          (at package-1 city-3-loc-5)
          (at package-2 city-1-loc-3)
          (at package-3 city-1-loc-4)
          (at package-4 city-2-loc-4)
          (at package-5 city-1-loc-2)
          (at package-6 city-3-loc-1)
          (at truck-1 city-1-loc-1)
          (capacity truck-1 capacity-3)
          (at truck-2 city-2-loc-5)
          (capacity truck-2 capacity-4)
          )
(:goal
          (and
               (at package-1 city-1-loc-5)
               (at package-2 city-1-loc-5)
               (at package-3 city-1-loc-2)
               (at package-4 city-3-loc-1)
               (at package-5 city-3-loc-3)
               (at package-6 city-1-loc-4)
          )
          )
(:metric minimize (total-cost))
)
