(define (problem transport-three-cities-sequential-7nodes-1000size-4degree-100mindistance-3trucks-8packages-2008seed)
(:domain transport)
(:objects
          city-1-loc-1 - location
          city-2-loc-1 - location
          city-3-loc-1 - location
          city-1-loc-2 - location
          city-2-loc-2 - location
          city-3-loc-2 - location
          city-1-loc-3 - location
          city-2-loc-3 - location
          city-3-loc-3 - location
          city-1-loc-4 - location
          city-2-loc-4 - location
          city-3-loc-4 - location
          city-1-loc-5 - location
          city-2-loc-5 - location
          city-3-loc-5 - location
          city-1-loc-6 - location
          city-2-loc-6 - location
          city-3-loc-6 - location
          city-1-loc-7 - location
          city-2-loc-7 - location
          city-3-loc-7 - location
          truck-1 - vehicle
          truck-2 - vehicle
          truck-3 - vehicle
          package-1 - package
          package-2 - package
          package-3 - package
          package-4 - package
          package-5 - package
          package-6 - package
          package-7 - package
          package-8 - package
          capacity-0 - capacity-number
          capacity-1 - capacity-number
          capacity-2 - capacity-number
          capacity-3 - capacity-number
          capacity-4 - capacity-number
          )
(:INIT
          (= (total-cost ) 0)
          (capacity-predecessor capacity-0 capacity-1)
          (capacity-predecessor capacity-1 capacity-2)
          (capacity-predecessor capacity-2 capacity-3)
          (capacity-predecessor capacity-3 capacity-4)
          (road city-1-loc-3 city-1-loc-1)
          (= (road-length city-1-loc-3 city-1-loc-1) 22)
          (road city-1-loc-1 city-1-loc-3)
          (= (road-length city-1-loc-1 city-1-loc-3) 22)
          (road city-1-loc-3 city-1-loc-2)
          (= (road-length city-1-loc-3 city-1-loc-2) 50)
          (road city-1-loc-2 city-1-loc-3)
          (= (road-length city-1-loc-2 city-1-loc-3) 50)
          (road city-1-loc-4 city-1-loc-1)
          (= (road-length city-1-loc-4 city-1-loc-1) 26)
          (road city-1-loc-1 city-1-loc-4)
          (= (road-length city-1-loc-1 city-1-loc-4) 26)
          (road city-1-loc-4 city-1-loc-3)
          (= (road-length city-1-loc-4 city-1-loc-3) 45)
          (road city-1-loc-3 city-1-loc-4)
          (= (road-length city-1-loc-3 city-1-loc-4) 45)
          (road city-1-loc-5 city-1-loc-1)
          (= (road-length city-1-loc-5 city-1-loc-1) 37)
          (road city-1-loc-1 city-1-loc-5)
          (= (road-length city-1-loc-1 city-1-loc-5) 37)
          (road city-1-loc-5 city-1-loc-4)
          (= (road-length city-1-loc-5 city-1-loc-4) 12)
          (road city-1-loc-4 city-1-loc-5)
          (= (road-length city-1-loc-4 city-1-loc-5) 12)
          (road city-1-loc-6 city-1-loc-2)
          (= (road-length city-1-loc-6 city-1-loc-2) 19)
          (road city-1-loc-2 city-1-loc-6)
          (= (road-length city-1-loc-2 city-1-loc-6) 19)
          (road city-1-loc-6 city-1-loc-3)
          (= (road-length city-1-loc-6 city-1-loc-3) 34)
          (road city-1-loc-3 city-1-loc-6)
          (= (road-length city-1-loc-3 city-1-loc-6) 34)
          (road city-1-loc-7 city-1-loc-1)
          (= (road-length city-1-loc-7 city-1-loc-1) 15)
          (road city-1-loc-1 city-1-loc-7)
          (= (road-length city-1-loc-1 city-1-loc-7) 15)
          (road city-1-loc-7 city-1-loc-3)
          (= (road-length city-1-loc-7 city-1-loc-3) 16)
          (road city-1-loc-3 city-1-loc-7)
          (= (road-length city-1-loc-3 city-1-loc-7) 16)
          (road city-1-loc-7 city-1-loc-4)
          (= (road-length city-1-loc-7 city-1-loc-4) 31)
          (road city-1-loc-4 city-1-loc-7)
          (= (road-length city-1-loc-4 city-1-loc-7) 31)
          (road city-1-loc-7 city-1-loc-5)
          (= (road-length city-1-loc-7 city-1-loc-5) 43)
          (road city-1-loc-5 city-1-loc-7)
          (= (road-length city-1-loc-5 city-1-loc-7) 43)
          (road city-1-loc-7 city-1-loc-6)
          (= (road-length city-1-loc-7 city-1-loc-6) 43)
          (road city-1-loc-6 city-1-loc-7)
          (= (road-length city-1-loc-6 city-1-loc-7) 43)
          (road city-2-loc-2 city-2-loc-1)
          (= (road-length city-2-loc-2 city-2-loc-1) 47)
          (road city-2-loc-1 city-2-loc-2)
          (= (road-length city-2-loc-1 city-2-loc-2) 47)
          (road city-2-loc-3 city-2-loc-1)
          (= (road-length city-2-loc-3 city-2-loc-1) 24)
          (road city-2-loc-1 city-2-loc-3)
          (= (road-length city-2-loc-1 city-2-loc-3) 24)
          (road city-2-loc-3 city-2-loc-2)
          (= (road-length city-2-loc-3 city-2-loc-2) 32)
          (road city-2-loc-2 city-2-loc-3)
          (= (road-length city-2-loc-2 city-2-loc-3) 32)
          (road city-2-loc-4 city-2-loc-1)
          (= (road-length city-2-loc-4 city-2-loc-1) 42)
          (road city-2-loc-1 city-2-loc-4)
          (= (road-length city-2-loc-1 city-2-loc-4) 42)
          (road city-2-loc-4 city-2-loc-2)
          (= (road-length city-2-loc-4 city-2-loc-2) 24)
          (road city-2-loc-2 city-2-loc-4)
          (= (road-length city-2-loc-2 city-2-loc-4) 24)
          (road city-2-loc-4 city-2-loc-3)
          (= (road-length city-2-loc-4 city-2-loc-3) 41)
          (road city-2-loc-3 city-2-loc-4)
          (= (road-length city-2-loc-3 city-2-loc-4) 41)
          (road city-2-loc-5 city-2-loc-1)
          (= (road-length city-2-loc-5 city-2-loc-1) 41)
          (road city-2-loc-1 city-2-loc-5)
          (= (road-length city-2-loc-1 city-2-loc-5) 41)
          (road city-2-loc-6 city-2-loc-3)
          (= (road-length city-2-loc-6 city-2-loc-3) 47)
          (road city-2-loc-3 city-2-loc-6)
          (= (road-length city-2-loc-3 city-2-loc-6) 47)
          (road city-2-loc-7 city-2-loc-2)
          (= (road-length city-2-loc-7 city-2-loc-2) 29)
          (road city-2-loc-2 city-2-loc-7)
          (= (road-length city-2-loc-2 city-2-loc-7) 29)
          (road city-2-loc-7 city-2-loc-4)
          (= (road-length city-2-loc-7 city-2-loc-4) 13)
          (road city-2-loc-4 city-2-loc-7)
          (= (road-length city-2-loc-4 city-2-loc-7) 13)
          (road city-3-loc-2 city-3-loc-1)
          (= (road-length city-3-loc-2 city-3-loc-1) 35)
          (road city-3-loc-1 city-3-loc-2)
          (= (road-length city-3-loc-1 city-3-loc-2) 35)
          (road city-3-loc-3 city-3-loc-2)
          (= (road-length city-3-loc-3 city-3-loc-2) 39)
          (road city-3-loc-2 city-3-loc-3)
          (= (road-length city-3-loc-2 city-3-loc-3) 39)
          (road city-3-loc-4 city-3-loc-1)
          (= (road-length city-3-loc-4 city-3-loc-1) 17)
          (road city-3-loc-1 city-3-loc-4)
          (= (road-length city-3-loc-1 city-3-loc-4) 17)
          (road city-3-loc-4 city-3-loc-2)
          (= (road-length city-3-loc-4 city-3-loc-2) 23)
          (road city-3-loc-2 city-3-loc-4)
          (= (road-length city-3-loc-2 city-3-loc-4) 23)
          (road city-3-loc-4 city-3-loc-3)
          (= (road-length city-3-loc-4 city-3-loc-3) 47)
          (road city-3-loc-3 city-3-loc-4)
          (= (road-length city-3-loc-3 city-3-loc-4) 47)
          (road city-3-loc-5 city-3-loc-1)
          (= (road-length city-3-loc-5 city-3-loc-1) 48)
          (road city-3-loc-1 city-3-loc-5)
          (= (road-length city-3-loc-1 city-3-loc-5) 48)
          (road city-3-loc-5 city-3-loc-2)
          (= (road-length city-3-loc-5 city-3-loc-2) 16)
          (road city-3-loc-2 city-3-loc-5)
          (= (road-length city-3-loc-2 city-3-loc-5) 16)
          (road city-3-loc-5 city-3-loc-3)
          (= (road-length city-3-loc-5 city-3-loc-3) 24)
          (road city-3-loc-3 city-3-loc-5)
          (= (road-length city-3-loc-3 city-3-loc-5) 24)
          (road city-3-loc-5 city-3-loc-4)
          (= (road-length city-3-loc-5 city-3-loc-4) 33)
          (road city-3-loc-4 city-3-loc-5)
          (= (road-length city-3-loc-4 city-3-loc-5) 33)
          (road city-3-loc-6 city-3-loc-2)
          (= (road-length city-3-loc-6 city-3-loc-2) 38)
          (road city-3-loc-2 city-3-loc-6)
          (= (road-length city-3-loc-2 city-3-loc-6) 38)
          (road city-3-loc-6 city-3-loc-3)
          (= (road-length city-3-loc-6 city-3-loc-3) 42)
          (road city-3-loc-3 city-3-loc-6)
          (= (road-length city-3-loc-3 city-3-loc-6) 42)
          (road city-3-loc-6 city-3-loc-5)
          (= (road-length city-3-loc-6 city-3-loc-5) 29)
          (road city-3-loc-5 city-3-loc-6)
          (= (road-length city-3-loc-5 city-3-loc-6) 29)
          (road city-3-loc-7 city-3-loc-1)
          (= (road-length city-3-loc-7 city-3-loc-1) 46)
          (road city-3-loc-1 city-3-loc-7)
          (= (road-length city-3-loc-1 city-3-loc-7) 46)
          (road city-3-loc-7 city-3-loc-2)
          (= (road-length city-3-loc-7 city-3-loc-2) 28)
          (road city-3-loc-2 city-3-loc-7)
          (= (road-length city-3-loc-2 city-3-loc-7) 28)
          (road city-3-loc-7 city-3-loc-3)
          (= (road-length city-3-loc-7 city-3-loc-3) 20)
          (road city-3-loc-3 city-3-loc-7)
          (= (road-length city-3-loc-3 city-3-loc-7) 20)
          (road city-3-loc-7 city-3-loc-4)
          (= (road-length city-3-loc-7 city-3-loc-4) 29)
          (road city-3-loc-4 city-3-loc-7)
          (= (road-length city-3-loc-4 city-3-loc-7) 29)
          (road city-3-loc-7 city-3-loc-5)
          (= (road-length city-3-loc-7 city-3-loc-5) 21)
          (road city-3-loc-5 city-3-loc-7)
          (= (road-length city-3-loc-5 city-3-loc-7) 21)
          (road city-3-loc-7 city-3-loc-6)
          (= (road-length city-3-loc-7 city-3-loc-6) 49)
          (road city-3-loc-6 city-3-loc-7)
          (= (road-length city-3-loc-6 city-3-loc-7) 49)
          (road city-1-loc-5 city-2-loc-7)
          (= (road-length city-1-loc-5 city-2-loc-7) 112)
          (road city-2-loc-7 city-1-loc-5)
          (= (road-length city-2-loc-7 city-1-loc-5) 112)
          (road city-1-loc-4 city-3-loc-2)
          (= (road-length city-1-loc-4 city-3-loc-2) 142)
          (road city-3-loc-2 city-1-loc-4)
          (= (road-length city-3-loc-2 city-1-loc-4) 142)
          (road city-2-loc-6 city-3-loc-7)
          (= (road-length city-2-loc-6 city-3-loc-7) 165)
          (road city-3-loc-7 city-2-loc-6)
          (= (road-length city-3-loc-7 city-2-loc-6) 165)
          (at package-1 city-3-loc-1)
          (at package-2 city-1-loc-2)
          (at package-3 city-3-loc-2)
          (at package-4 city-2-loc-2)
          (at package-5 city-1-loc-5)
          (at package-6 city-2-loc-6)
          (at package-7 city-1-loc-6)
          (at package-8 city-2-loc-2)
          (at truck-1 city-1-loc-4)
          (capacity truck-1 capacity-3)
          (at truck-2 city-2-loc-3)
          (capacity truck-2 capacity-4)
          (at truck-3 city-2-loc-5)
          (capacity truck-3 capacity-2)
          )
(:goal
          (and
               (at package-1 city-2-loc-3)
               (at package-2 city-1-loc-5)
               (at package-3 city-3-loc-1)
               (at package-4 city-1-loc-7)
               (at package-5 city-1-loc-1)
               (at package-6 city-2-loc-2)
               (at package-7 city-3-loc-2)
               (at package-8 city-2-loc-3)
          )
          )
(:metric minimize (total-cost))
)
