(define (problem transport-three-cities-sequential-8nodes-1000size-4degree-100mindistance-3trucks-9packages-2008seed)
(:domain transport)
(:objects
          city-1-loc-1 - location
          city-2-loc-1 - location
          city-3-loc-1 - location
          city-1-loc-2 - location
          city-2-loc-2 - location
          city-3-loc-2 - location
          city-1-loc-3 - location
          city-2-loc-3 - location
          city-3-loc-3 - location
          city-1-loc-4 - location
          city-2-loc-4 - location
          city-3-loc-4 - location
          city-1-loc-5 - location
          city-2-loc-5 - location
          city-3-loc-5 - location
          city-1-loc-6 - location
          city-2-loc-6 - location
          city-3-loc-6 - location
          city-1-loc-7 - location
          city-2-loc-7 - location
          city-3-loc-7 - location
          city-1-loc-8 - location
          city-2-loc-8 - location
          city-3-loc-8 - location
          truck-1 - vehicle
          truck-2 - vehicle
          truck-3 - vehicle
          package-1 - package
          package-2 - package
          package-3 - package
          package-4 - package
          package-5 - package
          package-6 - package
          package-7 - package
          package-8 - package
          package-9 - package
          capacity-0 - capacity-number
          capacity-1 - capacity-number
          capacity-2 - capacity-number
          capacity-3 - capacity-number
          capacity-4 - capacity-number
          )
(:INIT
          (= (total-cost ) 0)
          (capacity-predecessor capacity-0 capacity-1)
          (capacity-predecessor capacity-1 capacity-2)
          (capacity-predecessor capacity-2 capacity-3)
          (capacity-predecessor capacity-3 capacity-4)
          (road city-1-loc-3 city-1-loc-1)
          (= (road-length city-1-loc-3 city-1-loc-1) 22)
          (road city-1-loc-1 city-1-loc-3)
          (= (road-length city-1-loc-1 city-1-loc-3) 22)
          (road city-1-loc-4 city-1-loc-1)
          (= (road-length city-1-loc-4 city-1-loc-1) 26)
          (road city-1-loc-1 city-1-loc-4)
          (= (road-length city-1-loc-1 city-1-loc-4) 26)
          (road city-1-loc-4 city-1-loc-3)
          (= (road-length city-1-loc-4 city-1-loc-3) 45)
          (road city-1-loc-3 city-1-loc-4)
          (= (road-length city-1-loc-3 city-1-loc-4) 45)
          (road city-1-loc-5 city-1-loc-1)
          (= (road-length city-1-loc-5 city-1-loc-1) 37)
          (road city-1-loc-1 city-1-loc-5)
          (= (road-length city-1-loc-1 city-1-loc-5) 37)
          (road city-1-loc-5 city-1-loc-4)
          (= (road-length city-1-loc-5 city-1-loc-4) 12)
          (road city-1-loc-4 city-1-loc-5)
          (= (road-length city-1-loc-4 city-1-loc-5) 12)
          (road city-1-loc-6 city-1-loc-2)
          (= (road-length city-1-loc-6 city-1-loc-2) 19)
          (road city-1-loc-2 city-1-loc-6)
          (= (road-length city-1-loc-2 city-1-loc-6) 19)
          (road city-1-loc-6 city-1-loc-3)
          (= (road-length city-1-loc-6 city-1-loc-3) 34)
          (road city-1-loc-3 city-1-loc-6)
          (= (road-length city-1-loc-3 city-1-loc-6) 34)
          (road city-1-loc-7 city-1-loc-1)
          (= (road-length city-1-loc-7 city-1-loc-1) 15)
          (road city-1-loc-1 city-1-loc-7)
          (= (road-length city-1-loc-1 city-1-loc-7) 15)
          (road city-1-loc-7 city-1-loc-3)
          (= (road-length city-1-loc-7 city-1-loc-3) 16)
          (road city-1-loc-3 city-1-loc-7)
          (= (road-length city-1-loc-3 city-1-loc-7) 16)
          (road city-1-loc-7 city-1-loc-4)
          (= (road-length city-1-loc-7 city-1-loc-4) 31)
          (road city-1-loc-4 city-1-loc-7)
          (= (road-length city-1-loc-4 city-1-loc-7) 31)
          (road city-1-loc-7 city-1-loc-5)
          (= (road-length city-1-loc-7 city-1-loc-5) 43)
          (road city-1-loc-5 city-1-loc-7)
          (= (road-length city-1-loc-5 city-1-loc-7) 43)
          (road city-1-loc-7 city-1-loc-6)
          (= (road-length city-1-loc-7 city-1-loc-6) 43)
          (road city-1-loc-6 city-1-loc-7)
          (= (road-length city-1-loc-6 city-1-loc-7) 43)
          (road city-1-loc-8 city-1-loc-1)
          (= (road-length city-1-loc-8 city-1-loc-1) 41)
          (road city-1-loc-1 city-1-loc-8)
          (= (road-length city-1-loc-1 city-1-loc-8) 41)
          (road city-1-loc-8 city-1-loc-3)
          (= (road-length city-1-loc-8 city-1-loc-3) 44)
          (road city-1-loc-3 city-1-loc-8)
          (= (road-length city-1-loc-3 city-1-loc-8) 44)
          (road city-1-loc-8 city-1-loc-4)
          (= (road-length city-1-loc-8 city-1-loc-4) 35)
          (road city-1-loc-4 city-1-loc-8)
          (= (road-length city-1-loc-4 city-1-loc-8) 35)
          (road city-1-loc-8 city-1-loc-5)
          (= (road-length city-1-loc-8 city-1-loc-5) 43)
          (road city-1-loc-5 city-1-loc-8)
          (= (road-length city-1-loc-5 city-1-loc-8) 43)
          (road city-1-loc-8 city-1-loc-7)
          (= (road-length city-1-loc-8 city-1-loc-7) 30)
          (road city-1-loc-7 city-1-loc-8)
          (= (road-length city-1-loc-7 city-1-loc-8) 30)
          (road city-2-loc-2 city-2-loc-1)
          (= (road-length city-2-loc-2 city-2-loc-1) 32)
          (road city-2-loc-1 city-2-loc-2)
          (= (road-length city-2-loc-1 city-2-loc-2) 32)
          (road city-2-loc-3 city-2-loc-1)
          (= (road-length city-2-loc-3 city-2-loc-1) 24)
          (road city-2-loc-1 city-2-loc-3)
          (= (road-length city-2-loc-1 city-2-loc-3) 24)
          (road city-2-loc-3 city-2-loc-2)
          (= (road-length city-2-loc-3 city-2-loc-2) 41)
          (road city-2-loc-2 city-2-loc-3)
          (= (road-length city-2-loc-2 city-2-loc-3) 41)
          (road city-2-loc-5 city-2-loc-2)
          (= (road-length city-2-loc-5 city-2-loc-2) 47)
          (road city-2-loc-2 city-2-loc-5)
          (= (road-length city-2-loc-2 city-2-loc-5) 47)
          (road city-2-loc-6 city-2-loc-1)
          (= (road-length city-2-loc-6 city-2-loc-1) 29)
          (road city-2-loc-1 city-2-loc-6)
          (= (road-length city-2-loc-1 city-2-loc-6) 29)
          (road city-2-loc-6 city-2-loc-3)
          (= (road-length city-2-loc-6 city-2-loc-3) 13)
          (road city-2-loc-3 city-2-loc-6)
          (= (road-length city-2-loc-3 city-2-loc-6) 13)
          (road city-2-loc-7 city-2-loc-2)
          (= (road-length city-2-loc-7 city-2-loc-2) 39)
          (road city-2-loc-2 city-2-loc-7)
          (= (road-length city-2-loc-2 city-2-loc-7) 39)
          (road city-2-loc-7 city-2-loc-4)
          (= (road-length city-2-loc-7 city-2-loc-4) 16)
          (road city-2-loc-4 city-2-loc-7)
          (= (road-length city-2-loc-4 city-2-loc-7) 16)
          (road city-2-loc-8 city-2-loc-1)
          (= (road-length city-2-loc-8 city-2-loc-1) 15)
          (road city-2-loc-1 city-2-loc-8)
          (= (road-length city-2-loc-1 city-2-loc-8) 15)
          (road city-2-loc-8 city-2-loc-2)
          (= (road-length city-2-loc-8 city-2-loc-2) 31)
          (road city-2-loc-2 city-2-loc-8)
          (= (road-length city-2-loc-2 city-2-loc-8) 31)
          (road city-2-loc-8 city-2-loc-3)
          (= (road-length city-2-loc-8 city-2-loc-3) 12)
          (road city-2-loc-3 city-2-loc-8)
          (= (road-length city-2-loc-3 city-2-loc-8) 12)
          (road city-2-loc-8 city-2-loc-6)
          (= (road-length city-2-loc-8 city-2-loc-6) 22)
          (road city-2-loc-6 city-2-loc-8)
          (= (road-length city-2-loc-6 city-2-loc-8) 22)
          (road city-3-loc-2 city-3-loc-1)
          (= (road-length city-3-loc-2 city-3-loc-1) 39)
          (road city-3-loc-1 city-3-loc-2)
          (= (road-length city-3-loc-1 city-3-loc-2) 39)
          (road city-3-loc-4 city-3-loc-1)
          (= (road-length city-3-loc-4 city-3-loc-1) 48)
          (road city-3-loc-1 city-3-loc-4)
          (= (road-length city-3-loc-1 city-3-loc-4) 48)
          (road city-3-loc-4 city-3-loc-2)
          (= (road-length city-3-loc-4 city-3-loc-2) 38)
          (road city-3-loc-2 city-3-loc-4)
          (= (road-length city-3-loc-2 city-3-loc-4) 38)
          (road city-3-loc-5 city-3-loc-3)
          (= (road-length city-3-loc-5 city-3-loc-3) 26)
          (road city-3-loc-3 city-3-loc-5)
          (= (road-length city-3-loc-3 city-3-loc-5) 26)
          (road city-3-loc-6 city-3-loc-3)
          (= (road-length city-3-loc-6 city-3-loc-3) 38)
          (road city-3-loc-3 city-3-loc-6)
          (= (road-length city-3-loc-3 city-3-loc-6) 38)
          (road city-3-loc-6 city-3-loc-4)
          (= (road-length city-3-loc-6 city-3-loc-4) 45)
          (road city-3-loc-4 city-3-loc-6)
          (= (road-length city-3-loc-4 city-3-loc-6) 45)
          (road city-3-loc-6 city-3-loc-5)
          (= (road-length city-3-loc-6 city-3-loc-5) 35)
          (road city-3-loc-5 city-3-loc-6)
          (= (road-length city-3-loc-5 city-3-loc-6) 35)
          (road city-3-loc-7 city-3-loc-1)
          (= (road-length city-3-loc-7 city-3-loc-1) 36)
          (road city-3-loc-1 city-3-loc-7)
          (= (road-length city-3-loc-1 city-3-loc-7) 36)
          (road city-3-loc-7 city-3-loc-2)
          (= (road-length city-3-loc-7 city-3-loc-2) 36)
          (road city-3-loc-2 city-3-loc-7)
          (= (road-length city-3-loc-2 city-3-loc-7) 36)
          (road city-3-loc-7 city-3-loc-4)
          (= (road-length city-3-loc-7 city-3-loc-4) 13)
          (road city-3-loc-4 city-3-loc-7)
          (= (road-length city-3-loc-4 city-3-loc-7) 13)
          (road city-3-loc-7 city-3-loc-6)
          (= (road-length city-3-loc-7 city-3-loc-6) 39)
          (road city-3-loc-6 city-3-loc-7)
          (= (road-length city-3-loc-6 city-3-loc-7) 39)
          (road city-3-loc-8 city-3-loc-3)
          (= (road-length city-3-loc-8 city-3-loc-3) 36)
          (road city-3-loc-3 city-3-loc-8)
          (= (road-length city-3-loc-3 city-3-loc-8) 36)
          (road city-3-loc-8 city-3-loc-4)
          (= (road-length city-3-loc-8 city-3-loc-4) 47)
          (road city-3-loc-4 city-3-loc-8)
          (= (road-length city-3-loc-4 city-3-loc-8) 47)
          (road city-3-loc-8 city-3-loc-5)
          (= (road-length city-3-loc-8 city-3-loc-5) 17)
          (road city-3-loc-5 city-3-loc-8)
          (= (road-length city-3-loc-5 city-3-loc-8) 17)
          (road city-3-loc-8 city-3-loc-6)
          (= (road-length city-3-loc-8 city-3-loc-6) 23)
          (road city-3-loc-6 city-3-loc-8)
          (= (road-length city-3-loc-6 city-3-loc-8) 23)
          (road city-3-loc-8 city-3-loc-7)
          (= (road-length city-3-loc-8 city-3-loc-7) 47)
          (road city-3-loc-7 city-3-loc-8)
          (= (road-length city-3-loc-7 city-3-loc-8) 47)
          (road city-1-loc-5 city-2-loc-6)
          (= (road-length city-1-loc-5 city-2-loc-6) 112)
          (road city-2-loc-6 city-1-loc-5)
          (= (road-length city-2-loc-6 city-1-loc-5) 112)
          (road city-1-loc-1 city-3-loc-1)
          (= (road-length city-1-loc-1 city-3-loc-1) 139)
          (road city-3-loc-1 city-1-loc-1)
          (= (road-length city-3-loc-1 city-1-loc-1) 139)
          (road city-2-loc-1 city-3-loc-1)
          (= (road-length city-2-loc-1 city-3-loc-1) 139)
          (road city-3-loc-1 city-2-loc-1)
          (= (road-length city-3-loc-1 city-2-loc-1) 139)
          (at package-1 city-2-loc-4)
          (at package-2 city-1-loc-6)
          (at package-3 city-1-loc-6)
          (at package-4 city-2-loc-4)
          (at package-5 city-3-loc-1)
          (at package-6 city-1-loc-2)
          (at package-7 city-3-loc-2)
          (at package-8 city-2-loc-3)
          (at package-9 city-1-loc-6)
          (at truck-1 city-2-loc-6)
          (capacity truck-1 capacity-2)
          (at truck-2 city-3-loc-4)
          (capacity truck-2 capacity-2)
          (at truck-3 city-1-loc-5)
          (capacity truck-3 capacity-3)
          )
(:goal
          (and
               (at package-1 city-3-loc-6)
               (at package-2 city-3-loc-3)
               (at package-3 city-2-loc-3)
               (at package-4 city-1-loc-5)
               (at package-5 city-1-loc-7)
               (at package-6 city-1-loc-1)
               (at package-7 city-2-loc-2)
               (at package-8 city-3-loc-3)
               (at package-9 city-2-loc-4)
          )
          )
(:metric minimize (total-cost))
)
