(define (problem wood-prob)
(:domain woodworking)
(:objects
          verysmooth - surface
          smooth - surface
          rough - surface
          varnished - treatmentstatus
          glazed - treatmentstatus
          untreated - treatmentstatus
          colourfragments - treatmentstatus
          natural - acolour
          small - apartsize
          medium - apartsize
          large - apartsize
          grinder0 - grinder
          glazer0 - glazer
          immersion-varnisher0 - immersion-varnisher
          planer0 - planer
          highspeed-saw0 - highspeed-saw
          spray-varnisher0 - spray-varnisher
          saw0 - saw
          blue - acolour
          green - acolour
          black - acolour
          red - acolour
          white - acolour
          mauve - acolour
          cherry - awood
          walnut - awood
          p0 - part
          p1 - part
          p2 - part
          p3 - part
          p4 - part
          p5 - part
          p6 - part
          p7 - part
          b0 - board
          b1 - board
          s0 - aboardsize
          s1 - aboardsize
          s2 - aboardsize
          s3 - aboardsize
          s4 - aboardsize
          s5 - aboardsize
          s6 - aboardsize
          )
(:INIT
          (grind-treatment-change varnished colourfragments)
          (grind-treatment-change glazed untreated)
          (grind-treatment-change untreated untreated)
          (grind-treatment-change colourfragments untreated)
          (is-smooth smooth)
          (is-smooth verysmooth)
          (= (total-cost ) 0)
          (boardsize-successor s0 s1)
          (boardsize-successor s1 s2)
          (boardsize-successor s2 s3)
          (boardsize-successor s3 s4)
          (boardsize-successor s4 s5)
          (boardsize-successor s5 s6)
          (has-colour glazer0 blue)
          (has-colour glazer0 mauve)
          (has-colour glazer0 black)
          (has-colour immersion-varnisher0 blue)
          (has-colour immersion-varnisher0 mauve)
          (has-colour immersion-varnisher0 green)
          (has-colour immersion-varnisher0 black)
          (empty highspeed-saw0)
          (has-colour spray-varnisher0 blue)
          (has-colour spray-varnisher0 mauve)
          (has-colour spray-varnisher0 green)
          (has-colour spray-varnisher0 black)
          (unused p0)
          (goalsize p0 medium)
          (= (spray-varnish-cost p0) 10)
          (= (glaze-cost p0) 15)
          (= (grind-cost p0) 30)
          (= (plane-cost p0) 20)
          (unused p1)
          (goalsize p1 small)
          (= (spray-varnish-cost p1) 5)
          (= (glaze-cost p1) 10)
          (= (grind-cost p1) 15)
          (= (plane-cost p1) 10)
          (unused p2)
          (goalsize p2 large)
          (= (spray-varnish-cost p2) 15)
          (= (glaze-cost p2) 20)
          (= (grind-cost p2) 45)
          (= (plane-cost p2) 30)
          (unused p3)
          (goalsize p3 medium)
          (= (spray-varnish-cost p3) 10)
          (= (glaze-cost p3) 15)
          (= (grind-cost p3) 30)
          (= (plane-cost p3) 20)
          (available p4)
          (colour p4 black)
          (wood p4 cherry)
          (surface-condition p4 rough)
          (treatment p4 varnished)
          (goalsize p4 medium)
          (= (spray-varnish-cost p4) 10)
          (= (glaze-cost p4) 15)
          (= (grind-cost p4) 30)
          (= (plane-cost p4) 20)
          (available p5)
          (colour p5 green)
          (wood p5 cherry)
          (surface-condition p5 smooth)
          (treatment p5 colourfragments)
          (goalsize p5 medium)
          (= (spray-varnish-cost p5) 10)
          (= (glaze-cost p5) 15)
          (= (grind-cost p5) 30)
          (= (plane-cost p5) 20)
          (unused p6)
          (goalsize p6 small)
          (= (spray-varnish-cost p6) 5)
          (= (glaze-cost p6) 10)
          (= (grind-cost p6) 15)
          (= (plane-cost p6) 10)
          (available p7)
          (colour p7 black)
          (wood p7 walnut)
          (surface-condition p7 rough)
          (treatment p7 varnished)
          (goalsize p7 large)
          (= (spray-varnish-cost p7) 15)
          (= (glaze-cost p7) 20)
          (= (grind-cost p7) 45)
          (= (plane-cost p7) 30)
          (boardsize b0 s5)
          (wood b0 cherry)
          (surface-condition b0 smooth)
          (available b0)
          (boardsize b1 s6)
          (wood b1 walnut)
          (surface-condition b1 rough)
          (available b1)
          (is_constant_verysmooth verysmooth)
          (is_constant_smooth smooth)
          (is_constant_rough rough)
          (is_constant_varnished varnished)
          (is_constant_glazed glazed)
          (is_constant_untreated untreated)
          (is_constant_colourfragments colourfragments)
          (is_constant_natural natural)
          (is_constant_small small)
          (is_constant_medium medium)
          (is_constant_large large)
          )
(:goal
          (and
               (available p0)
               (colour p0 black)
               (wood p0 walnut)
               (available p1)
               (colour p1 blue)
               (wood p1 cherry)
               (available p2)
               (wood p2 walnut)
               (surface-condition p2 smooth)
               (available p3)
               (colour p3 blue)
               (wood p3 cherry)
               (surface-condition p3 verysmooth)
               (treatment p3 varnished)
               (available p4)
               (colour p4 mauve)
               (surface-condition p4 smooth)
               (available p5)
               (wood p5 cherry)
               (surface-condition p5 smooth)
               (treatment p5 varnished)
               (available p6)
               (colour p6 green)
               (treatment p6 varnished)
               (available p7)
               (wood p7 walnut)
               (surface-condition p7 smooth)
               (treatment p7 varnished)
          )
          )
(:metric minimize (total-cost))
)
