(define (problem wood-prob)
(:domain woodworking)
(:objects
          verysmooth - surface
          smooth - surface
          rough - surface
          varnished - treatmentstatus
          glazed - treatmentstatus
          untreated - treatmentstatus
          colourfragments - treatmentstatus
          natural - acolour
          small - apartsize
          medium - apartsize
          large - apartsize
          grinder0 - grinder
          glazer0 - glazer
          immersion-varnisher0 - immersion-varnisher
          planer0 - planer
          highspeed-saw0 - highspeed-saw
          spray-varnisher0 - spray-varnisher
          saw0 - saw
          red - acolour
          blue - acolour
          oak - awood
          beech - awood
          p0 - part
          p1 - part
          p2 - part
          b0 - board
          s0 - aboardsize
          s1 - aboardsize
          s2 - aboardsize
          s3 - aboardsize
          s4 - aboardsize
          )
(:INIT
          (grind-treatment-change varnished colourfragments)
          (grind-treatment-change glazed untreated)
          (grind-treatment-change untreated untreated)
          (grind-treatment-change colourfragments untreated)
          (is-smooth smooth)
          (is-smooth verysmooth)
          (= (total-cost ) 0)
          (boardsize-successor s0 s1)
          (boardsize-successor s1 s2)
          (boardsize-successor s2 s3)
          (boardsize-successor s3 s4)
          (has-colour glazer0 red)
          (has-colour immersion-varnisher0 natural)
          (has-colour immersion-varnisher0 red)
          (empty highspeed-saw0)
          (has-colour spray-varnisher0 natural)
          (has-colour spray-varnisher0 red)
          (unused p0)
          (goalsize p0 small)
          (= (spray-varnish-cost p0) 5)
          (= (glaze-cost p0) 10)
          (= (grind-cost p0) 15)
          (= (plane-cost p0) 10)
          (available p1)
          (colour p1 blue)
          (wood p1 oak)
          (surface-condition p1 rough)
          (treatment p1 varnished)
          (goalsize p1 large)
          (= (spray-varnish-cost p1) 15)
          (= (glaze-cost p1) 20)
          (= (grind-cost p1) 45)
          (= (plane-cost p1) 30)
          (unused p2)
          (goalsize p2 large)
          (= (spray-varnish-cost p2) 15)
          (= (glaze-cost p2) 20)
          (= (grind-cost p2) 45)
          (= (plane-cost p2) 30)
          (boardsize b0 s4)
          (wood b0 oak)
          (surface-condition b0 smooth)
          (available b0)
          (is_constant_verysmooth verysmooth)
          (is_constant_smooth smooth)
          (is_constant_rough rough)
          (is_constant_varnished varnished)
          (is_constant_glazed glazed)
          (is_constant_untreated untreated)
          (is_constant_colourfragments colourfragments)
          (is_constant_natural natural)
          (is_constant_small small)
          (is_constant_medium medium)
          (is_constant_large large)
          )
(:goal
          (and
               (available p0)
               (colour p0 natural)
               (treatment p0 varnished)
               (available p1)
               (wood p1 oak)
               (surface-condition p1 smooth)
               (available p2)
               (colour p2 red)
               (wood p2 oak)
               (surface-condition p2 smooth)
               (treatment p2 varnished)
          )
          )
(:metric minimize (total-cost))
)
